Admins - Anomalie #4165

valise.april.org — Avertissement de configuration sur I'absence de support de I'unicode 4 octets pour
la base de données

09/01/2020 10:52 - Christian P. Momon

Statut: Fermé Début: 09/01/2020
Priorité: Normale Echéance:

Assigné a: Frangois Poulain % réaliseé: 0%
Catégorie: Temps estimé: 0.00 heure
Version cible: Mars 2020 Temps passé: 0.00 heure
Difficulteé: 2 Facile

Description

Avec le compte admin, dans la page « Paramétres > Administration > Vue d'ensemble », on peut lire :

MySQL est utilisée comme base de données mais ne supporte pas les caractéres codés sur 4 octets.
Pour pouvoir manipuler les caractéres sur 4 octets (comme les émoticdbnes) sans probléme dans les
noms de fichiers ou les commentaires par exemple, il est recommandé d'activer le support 4 octets
dans MySQL.

Pour plus de détails, lisez la page de documentation a ce sujet

Historique

#1 - 09/01/2020 10:53 - Christian P. Momon

- Tracker changé de Demande a Anomalie

#2 - 09/01/2020 12:00 - Francois Poulain

Attention en général ¢a ne fonctionne pas « as is ».

Extrait d'un CR d'install :

https://docs.nextcloud.com/server/15/admin_manual/configuration_database/mysql_4byte_support.html

MariaDB [ (none) ]> ALTER DATABASE nextcloud_db CHARACTER SET utf8mb4 COLLATE utf8mb4_general_cij;
Query OK, 1 row affected (0.03 sec)

bling@web:~/www/nextcloud$ php occ config:system:set mysgl.utf8mb4 --type boolean —--value="true"
System config value mysgl.utf8mb4 set to boolean true
bling@web:~/www/nextcloud$ php occ maintenance:repair
— Repair MySQL collation

— Change row format for oc_accounts

— Change collation for oc_accounts

— Change row format for oc_activity

— Change collation for oc_activity

— Change row format for oc_activity_mg

— Change collation for oc_activity_mg

— Change row format for oc_addressbookchanges

— Change collation for oc_addressbookchanges

— Change row format for oc_addressbooks

— Change collation for oc_addressbooks

Forcément ¢a plante. J'ai eu une erreur résolue par ¢a : https://help.nextcloud.com/t/solved-syntax—error—-or—a
ccess-violation-1071-specified-key-was-too-long-max-key-length-is-767-bytes/34740

MariaDB [ (none)]> use nextcloud_db;
Database changed

MariaDB [nextcloud_db]> set global innodb_large_prefix=on;
Query OK, 0 rows affected (0.00 sec)

MariaDB [nextcloud_db]> set global innodb_file_format=Barracuda;
Query OK, 0 rows affected (0.00 sec)

php occ maintenance:repair
php occ maintenance:mode --off

#3 - 29/01/2020 22:30 - Quentin Gibeaux

- Version cible changé de Janvier 2020 a Février 2020

#4 - 26/02/2020 22:26 - Quentin Gibeaux
- Version cible changé de Février 2020 a Mars 2020

#5 - 15/03/2020 19:04 - Francois Poulain
- Statut changé de Nouveau a Résolu

- Assigné a mis a Frangois Poulain

Fait.

# sudo -u www-data php -f /var/www/valise-new.april.org/occ config:system:set mysgl.utf8mb4 --type boolean --v
alue="true"
System config value mysgl.utf8mb4 set to boolean true
# sudo -u www-data php -f /var/www/valise-new.april.org/occ maintenance:repair
— Repair MySQL collation

- Change row format for oc_group_admin

— Change collation for oc_group_admin

— Change row format for oc_systemtag

- Change collation for oc_systemtag

— Change row format for oc_talk_participants

— Change collation for oc_talk_participants

- Change row format for oc_migrations

— Change collation for oc_migrations

— Change row format for oc_calendar_rooms

- Change collation for oc_calendar_rooms

— Change row format for oc_oauth2_clients

— Change collation for oc_oauth2_clients

- Change row format for oc_comments_read_markers

— Change collation for oc_comments_read_markers

— Change row format for oc_flow_operations_scope

- Change collation for oc_flow_operations_scope

— Change row format for oc_authtoken

— Change collation for oc_authtoken

- Change row format for oc_login_flow_v2

— Change collation for oc_login_flow_v2

— Change row format for oc_preferences

- Change collation for oc_preferences

— Change row format for oc_calendarobjects

— Change collation for oc_calendarobjects

- Change row format for oc_text_steps

— Change collation for oc_text_steps

— Change row format for oc_collres_accesscache

- Change collation for oc_collres_accesscache

— Change row format for oc_groups

— Change collation for oc_groups

- Change row format for oc_calendar_invitations

— Change collation for oc_calendar_invitations

— Change row format for oc_comments

- Change collation for oc_comments

— Change row format for oc_talk_signaling

— Change collation for oc_talk_signaling

- Change row format for oc_directlink

— Change collation for oc_directlink

— Change row format for oc_dav_cal_proxy

- Change collation for oc_dav_cal_proxy

— Change row format for oc_trusted_servers

— Change collation for oc_trusted_servers

— Change row format for oc_systemtag_group

— Change collation for oc_systemtag_group

— Change row format for oc_cards_properties

- Change collation for oc_cards_properties

— Change row format for oc_accounts

— Change collation for oc_accounts

- Change row format for oc_systemtag_object_mapping

— Change collation for oc_systemtag_object_mapping

20/04/2024 2/5



— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
— Change
row format for oc_appconfig

collation for oc_appconfig

row format for oc_vcategory

collation for oc_vcategory

row format for oc_calendar_resources
collation for oc_calendar_resources
row format for oc_file_locks
collation for oc_file_locks

row format for oc_mimetypes

collation for oc_mimetypes

row format for oc_activity_mg
collation for oc_activity_mg

row format for oc_oauth2_access_tokens
collation for oc_oauth2_access_tokens
row format for oc_cards

collation for oc_cards

row format for oc_text_documents
collation for oc_text_documents

row format for oc_mounts

collation for oc_mounts

row format for oc_user_transfer_owner
collation for oc_user_transfer_owner
row format for oc_schedulingobjects
collation for oc_schedulingobjects
row format for oc_calendar_rooms_md
collation for oc_calendar_rooms_md

row format for oc_twofactor_backupcodes

collation for oc_twofactor_backupcodes
row format for oc_filecache_extended
collation for oc_filecache_extended
row format for oc_calendarchanges
collation for oc_calendarchanges

row format for oc_activity

collation for oc_activity

row format for oc_whats_new
collation for oc_whats_new

row format for oc_jobs

collation for oc_jobs

row format for oc_share

collation for oc_share

row format for oc_collres_collections
collation for oc_collres_collections
row format for oc_calendar_reminders
collation for oc_calendar_reminders
row format for oc_talk_guests
collation for oc_talk_guests

row format for oc_notifications
collation for oc_notifications

row format for oc_talk_rooms
collation for oc_talk_rooms

row format for oc_twofactor_providers
collation for oc_twofactor_providers
row format for oc_addressbookchanges
collation for oc_addressbookchanges
row format for oc_share_external
collation for oc_share_external

row format for oc_flow_operations
collation for oc_flow_operations

row format for oc_credentials
collation for oc_credentials

row format for oc_flow_checks
collation for oc_flow_checks

row format for oc_privacy_admins
collation for oc_privacy_admins

row format for oc_calendars
collation for oc_calendars

row format for oc_calendarsubscriptions

collation for oc_calendarsubscriptions
row format for oc_direct_edit
collation for oc_direct_edit

row format for oc_files_trash
collation for oc_files_trash

row format for oc_talk_commands
collation for oc_talk_commands

row format for oc_group_user

3/5



— Change collation for oc_group_user
— Change row format for oc_users
- Change collation for oc_users
— Change row format for oc_addressbooks
— Change collation for oc_addressbooks
- Change row format for oc_text_sessions
— Change collation for oc_text_sessions
— Change row format for oc_storages
- Change collation for oc_storages
— Change row format for oc_vcategory_to_object
— Change collation for oc_vcategory_to_object
- Change row format for oc_collres_resources
— Change collation for oc_collres_resources
— Change row format for oc_calendarobjects_props
- Change collation for oc_calendarobjects_props
— Change row format for oc_calendar_resources_md
— Change collation for oc_calendar_resources_md
- Change row format for oc_properties
— Change collation for oc_properties
— Change row format for oc_dav_shares
- Change collation for oc_dav_shares
— Change row format for oc_notifications_pushtokens
— Change collation for oc_notifications_pushtokens
- Change row format for oc_bruteforce_attempts
— Change collation for oc_bruteforce_attempts
— Change row format for oc_filecache
- Change collation for oc_filecache
— Change row format for oc_federated_reshares
— Change collation for oc_federated_reshares
Repair mime types
Clean tags and favorites
- 0 tags of deleted users have been removed.
- 0 tags for delete files have been removed.
- 0 tag entries for deleted tags have been removed.
- 0 tags with no entries have been removed.
Repair invalid shares
Move .step file of updater to backup location
Fix potential broken mount points
- No mounts updated
Add log rotate job
Clear frontend caches
- Image cache cleared
— SCSS cache cleared
— JS cache cleared
Clear every generated avatar on major updates
Add preview background cleanup job
Queue a one-time job to cleanup old backups of the updater
Cleanup invalid photocache files for carddav
Add background job to cleanup login flow v2 tokens
Remove potentially over exposing share links
- No need to remove link shares.
Clear access cache of projects
Switches from deprecated "production" to "stable" update channel
Sets the enterprise logo
— Repair step already executed
Reset generated avatar flag
Update name of the stored view
Fix component of birthday calendars
- 4 birthday calendars updated.
Regenerating birthday calendars to use new icons and fix old birthday events without year
— Repair step already executed
Fix broken values of calendar objects
B [ ]
Registering building of calendar search index as background job
— Repair step already executed
Registering background jobs to update cache for webcal calendars
— Added 0 background jobs to update webcal calendars
Registering building of calendar reminder index as background job
- Repair step already executed
Clean up orphan event and contact data
- 0 events without a calendar have been cleaned up
properties without an events have been cleaned up

changes without a calendar have been cleaned up
cached events without a calendar subscription have been cleaned up
changes without a calendar subscription have been cleaned up

o O O o

20/04/2024 4/5



— 0 contacts without an addressbook have been cleaned up
- 0 properties without a contact have been cleaned up
- 0 changes without an addressbook have been cleaned up
— Remove activity entries of private events
— Removed 0 activity entries
- Fix the share type of guest shares when migrating from ownCloud
— Copy the share password into the dedicated column
— Set existing shares as accepted
- Update OAuth token expiration times
— Create help command
— Invalidate access cache for projects conversation provider
- Invalidation not required
— Add background job to check for backup codes
- Populating added database structures for workflows

#6 - 15/03/2020 22:57 - Christian P. Momon

Bravo \o/

#7 - 25/03/2020 21:40 - Quentin Gibeaux

- Statut changé de Résolu a Fermé
